#==========================================================
#	MAKEFILE For YCLK
#==========================================================

TARGET = XBMMP

#LAUN = LAUNCHER.s
#MENU = MENU.s
SELE = TASK_SELECTOR.s

DEF = $(TARGET).def

OBJS = $(Y_o)$(TARGET).o $(Y_o)$(TARGET)_DATA.o $(Y_o)ylib_common.o $(Y_o)ylib_call.o $(Y_o)ylib_yui.o $(Y_o)ylib_font.o

DEV = DEV_$(TARGET)/
EXF = exf/
Y_o = $(DEV)$(TARGET)_o/
YLIB = ylib/

BMP_1S =$(DEV)icon/$(TARGET)_icon_s
BMP_1L =$(DEV)icon/$(TARGET)_icon_l


#gpR}h
AS = mn10200-elf-as.exe
LD = mn10200-elf-ld.exe
OBJCOPY = mn10200-elf-objcopy.exe
SF2BIN = sf2bin.exe
SETICO = setico.exe

#NORMAL -> address 0x110100
#CHILD  -> address 0x10D800
LDFLAGS = -Ttext 0x110100 -Map $(Y_o)$(TARGET).map
LDFLAGS2 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET2).map

#========================
#	Exec
#========================

$(DEV)$(EXF)$(TARGET).exf : $(DEV)$(DEF) $(SELE)

$(DEV)$(EXF)$(TARGET).exf: $(Y_o)$(TARGET).elf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET).elf
	$(SF2BIN) $(Y_o)$(TARGET).elf $(DEV)$(EXF)$(TARGET).exf
	$(SETICO) $(BMP_1S).bmp $(BMP_1L).BMP $(DEV)$(EXF)$(TARGET).exf

$(Y_o)$(TARGET).elf: $(OBJS)
	$(LD) -o $(Y_o)$(TARGET).elf $(OBJS) $(LDFLAGS)

$(Y_o)$(TARGET)_DATA.o: $(DEV)$(TARGET)_DATA.s
	$(AS) $(DEV)$(TARGET)_DATA.s -o $(Y_o)$(TARGET)_DATA.o

$(Y_o)$(TARGET).o: $(DEV)$(TARGET).s
	$(AS) $(DEV)$(TARGET).s -o $(Y_o)$(TARGET).o

#===============
# YLIB
#===============
$(Y_o)ylib_font.o: $(YLIB)ylib_font.s
	$(AS) $(YLIB)ylib_font.s -o $(Y_o)ylib_font.o
$(Y_o)ylib_time.o: $(YLIB)ylib_time.s
	$(AS) $(YLIB)ylib_time.s -o $(Y_o)ylib_time.o
$(Y_o)ylib_call.o: $(YLIB)ylib_call.s
	$(AS) $(YLIB)ylib_call.s -o $(Y_o)ylib_call.o
$(Y_o)ylib_window.o: $(YLIB)ylib_window.s
	$(AS) $(YLIB)ylib_window.s -o $(Y_o)ylib_window.o
$(Y_o)ylib_yui.o: $(YLIB)ylib_yui.s
	$(AS) $(YLIB)ylib_yui.s -o $(Y_o)ylib_yui.o
$(Y_o)ylib_common.o: $(YLIB)ylib_common.s
	$(AS) $(YLIB)ylib_common.s -o $(Y_o)ylib_common.o

